dagld(1)

NAME
dagld - Endace FPGA image loading tool

SYNOPSIS
dagld [options] IMAGE[:IMAGE]

DESCRIPTION
dagld is a program to load extra firmware images on DAG cards. The main firmware image is loaded with dagrom(1). Subsequent images are loaded with dagld. Not all Endace DAG cards support this command, as there are cards that only need one firmware image. Please refer to individual card user manuals for further details.

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-v

--verbose
    Increase output verbosity.

-V

--version
    Display version information.

-x

--xilinx
    Programs an image into a Xilinx FPGA.

--force
    Force loading firmware. Dangerous.

--unknown
    Force loading firmware. Dangerous.

EXAMPLES
The most common way to use dagld is to program an extra FPGA firmware image:
    dagld -x -d dag0 FILE

Note that before programming an FPGA with dagld the main firmware image should be loaded with dagrom(1).

SEE ALSO
dagrom(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13734 $
$Date: 2011-01-14 17:13:39 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.